searchNodes=[{"ref":"ServerSentEventStage.html","title":"ServerSentEventStage","type":"module","doc":"A GenStage producer which parses the ServerSentEvent (SSE) protocol. SSEs are used in browsers via the EventSource API, but they can be used for any kind of one-directional streaming. For more information, see the W3C."},{"ref":"ServerSentEventStage.html#refresh/1","title":"ServerSentEventStage.refresh/1","type":"function","doc":"Refresh the connection by disconnecting and reconnecting. Some clients will send a final message, but not terminate the connection=. This function allows a client of SSES to reconnect."},{"ref":"ServerSentEventStage.html#start_link/1","title":"ServerSentEventStage.start_link/1","type":"function","doc":"Starts a producer stage which parse the ServerSentEvent protocol and send those messages as events. The only required argument is url: it can be either a binary of the URL to connect to or a {module, fun, arguments} tuple. Other arguments are passed as options to GenStage.start_link/3."},{"ref":"ServerSentEventStage.Event.html","title":"ServerSentEventStage.Event","type":"module","doc":"A single ServerSentEvent (SSE) from a server. The SSE protocol is defined by the W3C."},{"ref":"ServerSentEventStage.Event.html#from_string/1","title":"ServerSentEventStage.Event.from_string/1","type":"function","doc":"Parse a UTF-8 string into a struct. Expects a full SSE block. iex&gt; from_string(&quot;event: put\\rdata:123\\r\\ndata: 456\\n&quot;) %Event{event: &quot;put&quot;, data: &quot;123\\n456\\n&quot;} iex&gt; from_string(&quot;:comment\\ndata: short\\nignored: field&quot;) %Event{event: &quot;message&quot;, data: &quot; short\\n&quot;}"},{"ref":"ServerSentEventStage.Event.html#t:t/0","title":"ServerSentEventStage.Event.t/0","type":"type","doc":""},{"ref":"readme.html","title":"ServerSentEventStage","type":"extras","doc":"ServerSentEventStage A GenStage producer which parses the ServerSentEvent protocol."},{"ref":"readme.html#installation","title":"ServerSentEventStage - Installation","type":"extras","doc":"def deps do [ {:server_sent_event_stage, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#use","title":"ServerSentEventStage - Use","type":"extras","doc":"start_link/1 starts the server: iex&gt; {:ok, pid} = ServerSentEventStage.start_link(url: &quot;https://...&quot;) iex&gt; Enum.take(GenStage.stream([pid]), 2) [%ServerSentEventStage.Event{}, %ServerSentEventStage.Event{}] More likely, you&#39;ll want to add it as a part of a supervision tree: # in a Supervisor.init callback children = [ {ServerSentEventStage, url: &quot;https://...&quot;}, ... ]"},{"ref":"readme.html#documentation","title":"ServerSentEventStage - Documentation","type":"extras","doc":"Full documentation is available on HexDocs."},{"ref":"readme.html#license","title":"ServerSentEventStage - License","type":"extras","doc":"server_sent_event_stage is licensed under the MIT license."}]